﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace Indian_MobileNumber_Validation_ServerSide_MVC.Models
{
    public class PersonModel
    {
        [Display(Name = "Mobile Number:")]
        [Required(ErrorMessage = "Invalid Mobile Number.")]
        [RegularExpression(@"^(0|91)?[6-9][0-9]{9}$", ErrorMessage = "Invalid Mobile Number.")]
        public string MobileNumber { get; set; }

    }
}